libetonyek::PAG1StyleContext Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::PAG1StyleContext Class Reference

`#include <PAG1StyleContext.h>`

Inheritance diagram for libetonyek::PAG1StyleContext:

## Public Member Functions
| PAG1StyleContext (PAG1ParserState &state, IWORKStyleMap_t *styleMap, const char *defaultParent, bool nested=false)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< Base >
| PAG1XMLContextBase (PAG1ParserState &state)
template<typename T1 >
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
| IWORKXMLContextBase (PAG1ParserState &state)
| IWORKXMLContextBase (PAG1ParserState &state, const T &a)
PAG1ParserState & | getState ()

## Private Member Functions
virtual void | attribute (int name, const char *value)
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()

## Private Attributes
IWORKPropertyMap | m_props
IWORKStyleContext | m_base
IWORKStyleMap_t *const | m_styleMap
const bool | m_nested
boost::optional< std::string > | m_ident
boost::optional< std::string > | m_parentIdent

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
PAGCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
PAG1ParserState & | m_state

## Constructor & Destructor Documentation

libetonyek::PAG1StyleContext::PAG1StyleContext | ( | PAG1ParserState & | state,
|  | IWORKStyleMap_t * | styleMap,
|  | const char * | defaultParent,
|  | bool | nested = `false`
| ) |  |

## Member Function Documentation

void libetonyek::PAG1StyleContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| privatevirtual

IWORKXMLContextPtr_t libetonyek::PAG1StyleContext::element | ( | int | name | ) |
| privatevirtual

void libetonyek::PAG1StyleContext::endOfElement | ( |  | ) |
| privatevirtual

## Member Data Documentation

IWORKStyleContext libetonyek::PAG1StyleContext::m_base
| private

Referenced by attribute(), and endOfElement().

boost::optional<std::string> libetonyek::PAG1StyleContext::m_ident
| private

Referenced by attribute().

const bool libetonyek::PAG1StyleContext::m_nested
| private

boost::optional<std::string> libetonyek::PAG1StyleContext::m_parentIdent
| private

Referenced by attribute().

IWORKPropertyMap libetonyek::PAG1StyleContext::m_props
| private

Referenced by element().

IWORKStyleMap_t* const libetonyek::PAG1StyleContext::m_styleMap
| private

The documentation for this class was generated from the following files:

- PAG1StyleContext.h
- PAG1StyleContext.cpp